Skip to main content

Read a spending plan iteration item

Use this endpoint to read the attributes of a specific spending plan iteration_item according to its unique GUID.

GET
/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_item_guid}

Path Parameters

FieldRequiredType

user_guid

The unique identifier for a user, beginning with the prefix USR-.

Required
String

spending_plan_guid

The unique ID for the spending_plan.

Required
String

iteration_item_guid

The unique ID for the iteration_item.

Required
String

Query Parameters

FieldRequiredType

page

Results are paginated. Specify current page.

Optional
Integer

records_per_page

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Optional
Integer

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...